Subject: Re: bug#38967: 27.0.60; Incorrect 'from' header when gnus-summary-mail-forward called from nnir group

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 08 May 2022 16:10:16 +0200

Pankaj Jangid <[email-masked]> writes:

> (setq gnus-posting-styles
>       '((".*"
>          (name "Pankaj Jangid")
>          (address "[email-masked]"))
> 	("nnimap\\+j4d:.*"
>          (address "[email-masked]"))))
>
> When I create an nnselect group by doing C-u G G on nnimap+j4d:INBOX
> group, it should actually pick the address defined for group
> (j4d:.*). But it is picking the first one, defined for (.*).

No, `gnus-posting-styles' works on the actual group names, and doesn't
look into whether it's a "meta group" or not.  So if you want to use
posting styles with nnselect/nnvirtual, you have to adjust your posting
styles so that they work with the names of those groups.

So I think this works as designed, and I'm therefore closing this bug
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no